import 'package:widgets/load_state_layout.dart';

class ManageState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<bool> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  ManageState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  ManageState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<bool>? datas,
  }) {
    return ManageState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
